Jupiter - Zadanie #1578

Implementacja modutu do zarzadzania workflowami

2017-02-20 10:55 - Michat Komar

Status: Zamkniety Start date: 2017-02-20
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%

Category: backend Estimated time: 0.00 hour

Target version: 0.3

Developer: Michat Komar Tester: tukasz Waskiewicz
Description

System powinien umozliwia¢ przypisywanie workflowéw do baz. Workflow powinien by¢ uruchamiany per edycja dokumentu, a

konczy¢ sig na publikacji. Workflow powinien by¢ zaimplementowany jako maszyna stanéw.

Powinny zosta¢ skonfigurowane 3 workflowy:
- zlozony - edycja, zatwierdzanie zmian, publikacja
- prostszy - edycja, zatwierdzanie zmian

- brak - zapisanie zmian powoduje automatyczne zatwierdzenie i publikacje

Associated revisions

Revision 37a25bf2 - 2017-02-21 14:27 - Michat Komar

refs #1578: Integracja ze spring statemachine

Revision 883e404b - 2017-03-31 13:39 - Michat Komar

refs #1578: Dodanie BASIC workflow

Revision 93¢1d958 - 2017-04-03 10:49 - Michat Komar

refs #1578: Dodanie ACCEPTANCE workflow

Revision 88b59097 - 2017-04-03 11:49 - Michat Komar

refs #1578: Dodanie testow publishing service

Revision db48d1bc - 2017-04-12 08:56 - Michat Komar

refs #1578: Dodanie propagowania btedéw ze statemachine

Revision 77240760 - 2017-04-12 09:07 - Michat Komar

refs #1578: Poprawka

Revision 84862865 - 2017-04-12 13:53 - Michat Komar
refs #1578: Lekki refaktoring mapowania modelu - uwzglednienie topLevel

Ponadto poprawienie ACCEPTANCE workflow.

Revision 8f5¢f629 - 2017-04-13 13:31 - Michat Komar

refs #1578: Podbicie wersji generatora typescript

Revision 03020da0 - 2017-04-13 13:31 - Michat Komar

refs #1578: Drobne poprawki

Revision 652c2b11 - 2017-04-13 13:42 - Michat Komar

refs #1578: Poprawienie testéw

Revision dc5b92a7 - 2017-04-13 14:42 - Michat Komar

refs #1578: Poprawienie testéw

Revision d5266075 - 2017-04-18 08:18 - Michat Komar

refs #1578: Podbicie wers;ji bibliotek

Revision a12a93d4 - 2017-04-18 08:43 - Michat Komar

refs #1578: Usunigcie base href - jest brany z linii polecen

Revision 72aefd9e - 2017-04-18 08:49 - Michat Komar

refs #1578: Wymuszenie unicode

Revision 676¢c62b1 - 2017-04-18 09:05 - Michat Komar

refs #1578: Wymuszenie unicode

History

#1 - 2017-04-12 15:15 - Michat Komar

- Status changed from Nowy to Testowanie

- Assignee changed from Michat Komar to tukasz Waskiewicz
- % Done changed from 0 to 100

Zrobione.
Trzeba zweryfikowac kazdy z workflowow - trzeba przej$¢ proces od zmiany do opublikowania dla kazdego z nich.

#2 - 2017-04-24 13:36 - Lukasz Waskiewicz
- Status changed from Testowanie to Rozwigzany
- Assignee changed from tukasz Waskiewicz to Michat Komar

OK

#3 - 2017-06-06 11:56 - Michat Komar
- Status changed from Rozwigzany to Zamkniety
